Bug 847499 - [abrt] gpscorrelate-1.6.1-6.fc17: __GI_raise: Process /usr/bin/gpscorrelate-gui was killed by signal 6 (SIGABRT)
[abrt] gpscorrelate-1.6.1-6.fc17: __GI_raise: Process /usr/bin/gpscorrelate-g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gpscorrelate (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
abrt_hash:f5fd12557598747eb102b3a29ff...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 06:25 EDT by Herald van der Breggen
Modified: 2013-08-01 02:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:24:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.84 KB, text/plain)
2012-08-12 06:25 EDT, Herald van der Breggen
no flags Details
File: maps (36.00 KB, text/plain)
2012-08-12 06:25 EDT, Herald van der Breggen
no flags Details
File: dso_list (7.18 KB, text/plain)
2012-08-12 06:25 EDT, Herald van der Breggen
no flags Details
Test data, including a panasonic raw2 image file (19.40 MB, application/octet-stream)
2012-08-21 04:41 EDT, Herald van der Breggen
no flags Details

  None (edit)
Description Herald van der Breggen 2012-08-12 06:25:20 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gpscorrelate-gui
crash_function: __GI_raise
executable:     /usr/bin/gpscorrelate-gui
kernel:         3.5.1-1.fc17.x86_64
pid:            7316
pwd:            /home/herald
remote_result:  843846
time:           zo 12 aug 2012 12:23:21 CEST
uid:            1000
username:       herald

backtrace:      Text file, 22367 bytes
dso_list:       Text file, 7348 bytes
maps:           Text file, 36867 bytes

build_ids:
:e269301fafc421669fee7a6244f5ba29429faa7f
:f69712fe393313f44607679e934bf5a67f39ec50
:faca16f15d87b83d2947a386e319b02f724dcbb5
:6086bff484a49cc8b80cb714d7e83a6391394800
:54a5cc118d928470da13565de8592b664a9868e0
:23d1440088fed14354e355ac2cbdba1f38fcf1a3
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:f4d479614b09460085428bbe7d53df454d0d39e5
:fd952473da735f9c0f50de231aa3d84d7855ef57
:b277af36744327e3d58eae76bcdaadcca71a28c6
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:16bd5a265f77b38d7774dcc361b06977fab95e07
:87712be648d2d43ea4cd002fe7a859df636f1e13
:ec87953f655fbcbcbe71b591db5451e56739576e
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:6880802db4dbe99bf291c5ca4e33a98ed02059fe
:f4c064df8745dff15466d705fb049138f9a5c949
:253afe744466fe7580bbb6040de6183dba9e2b02
:6668de624a10d486a3484d5b4921f87b1e77d36c
:42675a8ad8f70ff19362070510cdf1ba202a70db
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:508cf66f72e70054a41215f80ed2385c6bb80030
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:9e6594e38d36f94f5e02c90731970f1c72396147
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:7c35310fc506498c612d5d982ab03becc4b4817c
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:1ec2a7bb430f6ec982e05dce422ee2ad7ca535af
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:ce3fdb2e641a86823fc339eb18d6a9b9a5747514
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:8f7c190397d7c1f617e66f18f759714662b60367
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:79aee4375d1f48c032b56a6a0a9c15b3773b030e
:247132297f287226a24c12e683292f5c94013066
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/herald/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x60bed __gnu_cxx::__verbose_terminate_handler() libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ecf6 - libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ed23 std::terminate() libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ef4e __cxa_throw libstdc++.so.6 -
:ce3fdb2e641a86823fc339eb18d6a9b9a5747514 0xffe15 Exiv2::Rw2Image::writeMetadata() libexiv2.so.11 -
:16bd5a265f77b38d7774dcc361b06977fab95e07 0x8882 - [exe] -
:16bd5a265f77b38d7774dcc361b06977fab95e07 0x79b4 - [exe] -
:16bd5a265f77b38d7774dcc361b06977fab95e07 0x6bbe - [exe] -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf943 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x91055 - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20003 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x8fb33 - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14db4c - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20450 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14b914 gtk_propagate_event libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bc7b gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14ac57 gtk_main libgtk-x11-2.0.so.0 -
:16bd5a265f77b38d7774dcc361b06977fab95e07 0x4243 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=aap
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/herald/keyring-NzXFKZ/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/herald/keyring-NzXFKZ
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=herald
:SSH_AUTH_SOCK=/run/user/herald/keyring-NzXFKZ/ssh
:USERNAME=herald
:MAIL=/var/spool/mail/herald
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/herald/.local/bin:/home/herald/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/herald
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1302
:LANG=nl_NL.utf8
:GDM_LANG=nl_NL.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/herald
:SHLVL=1
:LOGNAME=herald
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-9L07IKqh3l,guid=b94215bac847b4eaffc9b7a000000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/herald
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-herald-NYAzLB/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1306,unix/unix:/tmp/.ICE-unix/1306
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gpscorrelate.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=7316

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30683                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30683                30683                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/herald/.xsession-errors
:pos:	5663
:flags:	0102002
:2:/home/herald/.xsession-errors
:pos:	5663
:flags:	0102002
:3:socket:[56480]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[56522]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[55030]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 12 12:23:20 aap setroubleshoot: SELinux is preventing /usr/bin/gpscorrelate-gui from create access on the file P1000704.JPG7316. For complete SELinux messages. run sealert -l 151ee439-7f98-4eb1-ab08-71d7c05a4376
:Aug 12 12:23:21 aap setroubleshoot: SELinux is preventing /usr/bin/gpscorrelate-gui from unlink access on the file P1000704.JPG. For complete SELinux messages. run sealert -l 22b29b00-3782-4266-a461-00a9f2cc342f
:Aug 12 12:23:21 aap setroubleshoot: SELinux is preventing /usr/bin/gpscorrelate-gui from rename access on the file P1000704.JPG7316. For complete SELinux messages. run sealert -l b7512c0f-ae96-423e-acff-df27c5083156
:Aug 12 12:23:21 aap abrt[7414]: Saved core dump of pid 7316 (/usr/bin/gpscorrelate-gui) to /var/spool/abrt/ccpp-2012-08-12-12:23:21-7316 (46374912 bytes)
Comment 1 Herald van der Breggen 2012-08-12 06:25:24 EDT
Created attachment 603765 [details]
File: backtrace
Comment 2 Herald van der Breggen 2012-08-12 06:25:26 EDT
Created attachment 603766 [details]
File: maps
Comment 3 Herald van der Breggen 2012-08-12 06:25:28 EDT
Created attachment 603767 [details]
File: dso_list
Comment 4 Herald van der Breggen 2012-08-12 07:08:42 EDT
When you add a photo in raw format (panasonic RW2), this behavior can be reproduced.
Comment 5 Till Maas 2012-08-20 17:07:21 EDT
(In reply to comment #4)
> When you add a photo in raw format (panasonic RW2), this behavior can be
> reproduced.

Can you please attach such a file to this bug report?
Comment 6 Herald van der Breggen 2012-08-21 04:41:57 EDT
Created attachment 605883 [details]
Test data, including a panasonic raw2 image file

Here you have a complete testcase that makes gpscorrelate crash. Load both images and the gpx file in gpscorrelate and hit the "Correlate Photos" button...
Comment 7 Fedora End Of Life 2013-07-03 21:41:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 02:24:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.